//
//  NSView+SCAdditions.h
//  SweetCocoa
//
//  Created by Rico on 1/8/12.
//  Copyright (c) 2012 Kitestack Software. All rights reserved.
//

#import <AppKit/AppKit.h>

@interface NSView (SCAdditions)

- (void) scFadeInWithDuration:(NSTimeInterval)duration;
- (void) scFadeOutWithDuration:(NSTimeInterval)duration;

- (NSPoint) scLocalPointForEvent:(NSEvent*)event;

- (void) scCenterInParentHorizontally;
- (void) scCenterInParentVerticallyWithOffset:(CGFloat)offset;

@end
